Subject: Re: [lojban] Re: Lexing text with {fa'o} and {zoi} in it

From: Robert LeChevalier <[email-masked]>
Date: Mon, 03 Feb 2003 22:19:33 -0500

At 06:04 PM 2/3/03 -0500, Pierre Abbat wrote:
> > > According to 19:10, if {le'u} appears in a {zoi} quotation which is
> > > inside a {lo'u} quotation, the {lo'u} quotation is prematurely
> > > terminated.

Not really following this, but since lo'u/le'u incorporates only Lojban 
text, there shouldn't be any zoi quotes inside of the lo'u/le'u.

> > > Chapter 21, step 2, says that the word following {zoi} *should* be
> > > delimited with a pause, not that it *must*. If it is not delimited
> > > with a pause, this can cause text to be lexed that is part of the
> > > quotation. For instance: /zoiladjAn.bagram.ladjAn/ is lexed as {zoi la
> > > djan. bagram. la djan.}.
> >
> > I'm sory; what is the delimiter in that case? la?
>
>Yes. It's ungrammatical, but the lexer doesn't know that.

The lexer doesn't have to process ungrammatical text except inside of 
lo'u/le'u, and per the above, that should not have zoi quotes in it.

> > > Conversely, two words could be taken as the delimiter, as in
> > > /zoi.flAlukAvbu.../ that I mentioned before. Should the word be
> > > changed to "must"?
> >
> > Seems like it to me.
>
>Likewise, must {fa'o} be followed by a pause?

fa'o terminates all processing. Therefore if it isn't in a lo'u/le'u, or 
in a zoi quote, it doesn't matter what it is followed by.

lojbab

-- 
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org